## com.lowagie.text.rtf.text
Class RtfChapter

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfSection
              com.lowagie.text.rtf.text.RtfChapter

All Implemented Interfaces:
  RtfBasicElement

    public class RtfChapter

extends RtfSection

The RtfChapter wraps a Chapter element. INTERNAL CLASS

Version:
  $Revision: 1.18 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary

Fields inherited from class com.lowagie.text.rtf.text.RtfSection
`items, title`

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfChapter(RtfDocument doc, Chapter chapter)` Constructs a RtfChapter for a given Chapter

Method Summary
`byte[]` `write()` Writes the RtfChapter and its contents

Methods inherited from class com.lowagie.text.rtf.text.RtfSection
`setInHeader, setInTable`

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtfChapter

    public RtfChapter(RtfDocument doc,
                      Chapter chapter)

  Constructs a RtfChapter for a given Chapter

  Parameters:
    `doc` - The RtfDocument this RtfChapter belongs to
    `chapter` - The Chapter this RtfChapter is based on

Method Detail

### write

    public byte[] write()

  Writes the RtfChapter and its contents

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfSection`
  Returns:
    A byte array containing the RtfChapter and its contents